using anbs_cp;

namespace demo;

public partial class CountValueTest: Form
{
    public CountValueTest ()
    {
        InitializeComponent();
    }

    private void CalculateButton_Click (object sender, EventArgs e)
    {

        if (string.IsNullOrEmpty(InsertDataBox.Text))
            return;

        long value = TypeConverter.StrToInt64(InsertDataBox.Text);
        IValueFormatter formatter = SelectFormatterBox.SelectedIndex switch
        {
            0 => new CountFormatter(),
            1 => new FileSizeFormatter(),
            _ => new CountFormatter(),
        };
        ResultLabel.Text = formatter.Format(value);
    }

    private void CountValueTest_Load (object sender, EventArgs e)
    {
        SelectFormatterBox.SelectedIndex = 0;
    }
}